<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DIA Troubleshooting Report</title>
    <style>
        h1 {
            text-align: center;
        }

        .back-link {
            float: right;
            margin-bottom: 60px;
        }

        .error {
            color: red;
        }

        .warning ul {
            color: red;
        }

        .success ul {
            color: green;
        }

        .excepts p {
            color: orange;
        }

        span {
            font-weight: bold;
        }
    </style>
</head>

<body>
    <h1>DIA Troubleshooting Report</h1>

    <h2>{{ result[0][1] }} {{ result[0][0] }}: {{ result[0][2] }}</h2>
    <div class="warning">
        <h3>Warning Messages</h3>
        <hr>
        Status:
        {% if result[1][0] %}
        <ul>
            {% for v in result[1][0] %}
            <li>{{ v }}</li>
            {% endfor %}
        </ul>
        {% else %}
        <ul>
            <li>None</li>
        </ul>
        {% endif %}
        Light Levels:
        {% if result[1][1] %}
        <ul>
            {% for v in result[1][1] %}
            <li>{{ v }}</li>
            {% endfor %}
        </ul>
        {% else %}
        <ul>
            <li>None</li>
        </ul>
        {% endif %}
        Ping:
        {% if result[1][2] %}
        <ul>
            {% for v in result[1][2] %}
            <li>{{ v }}</li>
            {% endfor %}
        </ul>
        {% else %}
        <ul>
            <li>None</li>
        </ul>
        {% endif %}
        <div class="eh">
            {% if result2 %}
            <span>Error History(Newly Checked):</span>
            {% if result2[0] %}
            <ul>
                {% for i in result2[0] %}
                <li>{{ i }}</li>
                {% endfor %}
            </ul>
            {% else %}
            <ul><li>None</li></ul>
            {% endif %}
        {% endif %}
        </div>
        <br>
        <br>
    </div>

    <div class="success">
        <h3>Success Messages</h3>
        <hr>
        Status:
        {% if result[2][0] %}
        <ul>
            {% for v in result[2][0] %}
            <li>{{ v }}</li>
            {% endfor %}
        </ul>
        {% else %}
        <ul>
            <li>None</li>
        </ul>
        {% endif %}
        Light Levels:
        {% if result[2][1] %}
        <ul>
            {% for v in result[2][1] %}
            <li>{{ v }}</li>
            {% endfor %}
        </ul>
        {% else %}
        <ul>
            <li>None</li>
        </ul>
        {% endif %}
        Ping:
        {% if result[2][2] %}
        <ul>
            {% for v in result[2][2] %}
            <li>{{ v }}</li>
            {% endfor %}
        </ul>
        {% else %}
        <ul>
            <li>None</li>
        </ul>
        {% endif %}
        <div class="eh">
            {% if result2 %}
            <span>Error History(Newly Checked):</span>
            {% if result2[1] %}
            <ul>
                {% for i in result2[1] %}
                <li>{{ i }}</li>
                {% endfor %}
            </ul>
            {% else %}
            <ul><li>None</li></ul>
            {% endif %}
            {% endif %}
        </div>
        <br><br>
    </div>

    <div class="excepts">
        <h3>Exceptions</h3>
        <hr>
        {% if result[3] %}
        {% for i in result[3] %}
        <p>{{ i }}</p>
        {% endfor %}
        {% else %}
        <p>* None</p>
        {% endif %}
    </div>
    <br><br>

    

    <a href="/DIATroubleshooting/showErrorHistory">[Show Error History of Interfaces]</a>
    <br><br><br>
    <a href="/" class='back-link'>[Go Check Other CPE]</a>

</body>



</html>